{% extends 'mainBase.html' %}
{% block head %}

      <script>
      		$( document ).ready(function(){
      		  $(".button-collapse").sideNav();
      		  $("#new_address").hide();
      		  $('#add_address').click(function(){
	              $("#new_address").toggle();
	            });
 
      		});
      </script>
     
      {% endblock %}
{% block body %}
<body style="background-color: #eceff1">
  	{% include 'navbar.html' %}


	<main>
		<div class="container" id="address_panel">
			<div class="white z-depth-4" style="padding-bottom: 10px;">
				
				<div class="row">
					<div class="col s12 center">
						<h3>Please Select your Address</h3>
						<span style="color: #bdbdbd">Tell us where do you want your books to be delivered</span>
					</div>
				</div>
				<br>
				<div class="row">
				{% for address in addresses %}
				<a href="/litwit/reviewOrder/{{address.pk}}"
					<div class="col s12 m4 l4">
						<div class="address_col">
							<span class="valign-wrapper" style="padding-left: 35%"><button class="address_select" data-catid="{{address.pk}}"><img src="/static/icons/select1.png" class="responsive-img"></button>&nbsp;&nbsp;{{address.addtype}}</span>
							<br>
							<span>{{address.streetAddress}}</span>
							<br>
							<span>{{address.state}}</span>
							<br>
							<span>Pin Code:{{address.pincode}}</span>
						</div>
						</a>
					</div>
					{% endfor %}
					<div class="col s12 m4 l4">
						<div class="address_col center">
							<span>Address not Listed?</span>
							<br><br>
							<button id="add_address">
								<img src="/static/icons/add.png" class="responsive-img">
							</button>
						</div>
					</div>
				</div>

				
			</div>
			<br><br>
			<div class="white z-depth-4" id="new_address">
				<div class="row">
					<div class="col s12">
						<h3 class="left">New Address</h3>
						<span class="right valign-wrapper" style="margin-top: 10px"><img src="icons/location.png"><b>Locate Me</b></span>
					</div>
				</div>
				<div class="row">
					<form class="col s12">
						<div class="row">
							<div class="input-field col s12 m6 l6 sign_up_form_input_field">
						      <input id="name" placeholder="Enter Name" type="text" class="validate sign_in">
						      <label class="active form_headers" for="name">Name<span class="compulsory">*</span></label>
						    </div>
						    <div class="input-field col s12 m6 l6 sign_up_form_input_field">
						      <input id="phone" placeholder="Enter Phone Number" type="text" class="validate sign_in">
						      <label class="active form_headers" for="name">Phone Number<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
							<div class="input-field col s12 m6 l6 sign_up_form_input_field">
						      <input id="pincode" placeholder="Enter PinCode" type="text" class="validate sign_in">
						      <label class="active form_headers" for="pincode">Pincode<span class="compulsory">*</span></label>
						    </div>
						    <div class="input-field col s12 m6 l6 sign_up_form_input_field">
						      <input id="locality" placeholder="Enter Locality" type="text" class="validate sign_in">
						      <label class="active form_headers" for="locality">Locality<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
							<div class="input-field col s12 sign_up_form_input_field">
					          <textarea id="street_add" class="materialize-textarea sign_in" placeholder="Enter Street Address" style="width: 95% !important"></textarea>
					          <label class="active form_headers" for="street_add">Street Address<span class="compulsory">*</span></label>
					        </div>
						</div>
						<div class="row">
							<div class="input-field col s12 m6 l6 sign_up_form_input_field">
						      <input id="city" placeholder="Enter City" type="text" class="validate sign_in">
						      <label class="active form_headers" for="city">City<span class="compulsory">*</span></label>
						    </div>
						    <div class="input-field col s12 m6 l6 sign_up_form_input_field">
						      <input id="state" placeholder="Enter State" type="text" class="validate sign_in">
						      <label class="active form_headers" for="state">State<span class="compulsory">*</span></label>
						    </div>
						</div>
						<div class="row">
							<div class="input-field col s12 m6 l6 sign_up_form_input_field">
						      <input id="landmark" placeholder="Enter Landmark" type="text" class="validate sign_in">
						      <label class="active form_headers" for="landmark">Landmark</label>
						    </div>
						</div>
						<div class="row">
							<div class="col s12">
								<br>
								<label class="active form_headers" for="add_type">Address Type:</label>
								<input name="group1" type="radio" id="home" />
     							<label for="home">HOME</label>
     							<input name="group1" type="radio" id="office" />
      							<label for="office">OFFICE</label>
							</div>
						</div>
						<div class="row">
							<div class="col s12">
								<a class="waves-effect waves-light btn right z-depth-4 buy" style="z-index: 0 !important;">ADD</a>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>

		<script>
		    $('.address_select').click(function(){
			 	var img_tag=$(this).children();
				img_tag.attr("src",function(i,oldSrc){
				 	return oldSrc=='/static/icons/select1.png'?'/static/icons/select2.png':'/static/icons/select1.png';
				});
			});
		</script>
	</main>
</body>
{% endblock %}
